Name:		qtpfsgui
Summary:	A Qt4 graphical user interface that provides a workflow for HDR imaging
Version:	1.9.3
Release:	%mkrel 1
License:	LGPLv2+
Group:		Graphics
URL:		http://qtpfsgui.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		qtpfsgui-1.8.12-fix-desktop.patch
Patch1:		qtpfsgui-1.9.2-fix-str-fmt.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:	qt4-devel
BuildRequires:	libexiv-devel
BuildRequires:	libOpenEXR-devel
BuildRequires:	fftw3-devel
BuildRequires:	tiff-devel
BuildRequires:	libgomp-devel
BuildRequires:	dos2unix

%description
Qtpfsgui is a Qt4 graphical user interface that aims to provide a 
workflow for HDR imaging.

    * Create an HDR file from a set of images (formats: JPEG, TIFF 8bit 
and 16bit, RAW) of the same scene taken at different exposure setting.
    * Save and load HDR images.
    * Rotate and resize HDR images.
    * Tonemap HDR images.
    * Copy exif data between sets of images.
    * Supports internationalization.


%if %mdkversion < 200900
%post
%update_menus
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_icon_cache hicolor
%endif

%prep
%setup -q
%patch0 -p1 -b .fixdtop
%patch1 -p1 -b .str

# fix EOL
dos2unix -U Changelog
dos2unix -U qtpfsgui.desktop

%build
sed -i -e 's,QMAKE_CXXFLAGS,#QMAKE_CXXFLAGS,g' project.pro
%qmake_qt4 PREFIX=%{buildroot}%{_prefix}
%make

%install
rm -fr %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS Changelog README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}



%changelog
* Thu Jun 11 2009 Jérôme Brenier <incubusss@mandriva.org> 1.9.3-1mdv2010.0
+ Revision: 385210
- add BR libgomp-devel
- update to new version 1.9.3
- rediff P0 and P1
- fix some EOL
- fix license tag
- fix icon in files section

* Sun Dec 21 2008 Funda Wang <fundawang@mandriva.org> 1.9.2-2mdv2009.1
+ Revision: 316862
- fix patch
- fix str fmt

* Thu Jul 10 2008 Adam Williamson <awilliamson@mandriva.org> 1.9.2-1mdv2009.0
+ Revision: 233525
- rebuild for new OpenEXR
- use standard optflags
- clean and re-organize spec
- new release 1.9.2

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill extra spacing at top of description

* Wed Dec 05 2007 Funda Wang <fundawang@mandriva.org> 1.8.12-2mdv2008.1
+ Revision: 115505
- rebuild for new libexiv2

* Fri Oct 12 2007 Funda Wang <fundawang@mandriva.org> 1.8.12-1mdv2008.1
+ Revision: 97759
- package should own its own datadir
- Remove ext for Icon entry in desktop file
- New version 1.8.12

* Fri May 18 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.8.8-3mdv2008.0
+ Revision: 28282
- Fix BuildRequires
- Fix BuildRequires
- Add menus macros for non-xdg compliant WM
- Add menu entry
- Import qtpfsgui

